Loading...
Searching...
No Matches
system.h File Reference

System functions: time stamps, info dialogs, etc. More...

`#include "common/config.h"`
`#include "common/timeutils.h"`
`#include <chrono>`
`#include <memory>`
`#include <string>`
`#include <vector>`
Include dependency graph for system.h:

## Classes

class | CSystemUtils
| Platform-specific utils. More...

## Enumerations

enum class | SystemDialogType { INFO , WARNING , ERROR_MSG , YES_NO , OK_CANCEL }
| Type of system dialog. More...
enum class | SystemDialogResult { OK , CANCEL , YES , NO }
| Result of system dialog. More...

## Detailed Description

System functions: time stamps, info dialogs, etc.

## Enumeration Type Documentation

## SystemDialogType

enum class SystemDialogType

strong

Type of system dialog.

Enumerator
INFO | Information message.
WARNING | Warning message.
ERROR_MSG | Error message.
YES_NO | Yes/No question.
OK_CANCEL | Ok/Cancel question.

## SystemDialogResult

enum class SystemDialogResult

strong

Result of system dialog.

Means which button was pressed.